import Command, { flags as commandFlags } from '@oclif/command';
import * as inquirer from 'inquirer';
declare module 'inquirer' {
    interface Question<T = inquirer.Answers> {
        source?<T>(questions: inquirer.Questions<T>): Promise<T>;
    }
}
export interface IRtolmsConfig {
    reposDir: string;
    authToken: string;
    username: string;
    server?: string;
    database?: string;
    maildrop?: string;
}
export default abstract class BaseCommand extends Command {
    static flags: {
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        verbose: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        'page-size': import("@oclif/parser/lib/flags").IOptionFlag<number>;
        'core-repo-name': commandFlags.IOptionFlag<string>;
        'custom-repo-regex': commandFlags.IOptionFlag<string>;
        'custom-repo-shortname-regex': commandFlags.IOptionFlag<string>;
    };
    flags: any;
    args: any;
    userConfig: IRtolmsConfig;
    getConfigPath(): string;
    getConfig(refresh?: boolean): Promise<IRtolmsConfig>;
    initDotEnv(): Promise<void>;
    getConfigDefaults(): Promise<any>;
    configExists(): boolean;
    requireConfig(): Promise<IRtolmsConfig>;
    fuzzyMatchCustomDir: (partialCustomName?: string) => Promise<string | void>;
    getCorePath: () => Promise<string>;
    getCoreCustomSubdirPath: () => Promise<string>;
    getCustomRepos: () => Promise<string[]>;
    getCurrentlyLinkedCustomDir: () => Promise<string | void>;
    getLinkedRepoRoot: () => Promise<string | void>;
    promptForCustomerDir: () => Promise<string>;
    init(): Promise<void>;
    finally(): Promise<any>;
}
