import { flags as commandFlags } from '@oclif/command';
import BaseCommand from '../base';
interface IChangeDbTaskContext {
    server: string;
    database: string;
    maildrop?: string;
}
export default class Reconfigure extends BaseCommand {
    static description: string;
    static aliases: string[];
    static flags: {
        'no-strip-bom': import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        server: commandFlags.IOptionFlag<string>;
        database: commandFlags.IOptionFlag<string>;
        replace: commandFlags.IOptionFlag<string>;
        'replace-raw': commandFlags.IOptionFlag<string>;
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        verbose: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        'page-size': import("@oclif/parser/lib/flags").IOptionFlag<number>;
        'core-repo-name': commandFlags.IOptionFlag<string>;
        'custom-repo-regex': commandFlags.IOptionFlag<string>;
        'custom-repo-shortname-regex': commandFlags.IOptionFlag<string>;
    };
    static examples: string[];
    run(): Promise<any>;
    hasUrlMappingsConfig: (root: string) => Promise<boolean>;
    createUrlMappingsConfig: (root: string) => Promise<void>;
    getConfigurationFiles: () => Promise<string[]>;
    processFile: (filepath: string, ctx: IChangeDbTaskContext) => Promise<number>;
}
export {};
